## libervia-backend 0.8.0

=== requirements.txt ===
attrs==21.2.0
Automat==20.2.0
Babel==2.9.1
certifi==2021.10.8
cffi==1.15.0
charset-normalizer==2.0.7
constantly==15.1.0
cryptography==3.4.8
dbus-python==1.2.18
DoubleRatchet==0.7.0
html2text==2020.1.16
hyperlink==21.0.0
idna==3.3
incremental==21.3.0
Jinja2==3.0.2
langid==1.1.6
lxml==4.6.3
Markdown==3.3.4
MarkupSafe==2.0.1
miniupnpc==2.0.2
mutagen==1.45.1
netifaces==0.11.0
numpy==1.21.3
OMEMO==0.12.0
omemo-backend-signal==0.2.6
Pillow==8.4.0
progressbar2==3.53.3
protobuf==3.19.1
pyasn1==0.4.8
pyasn1-modules==0.2.8
pycairo==1.20.1
pycparser==2.20
pycrypto==2.6.1
Pygments==2.10.0
PyGObject==3.40.0
PyNaCl==1.4.0
pyOpenSSL==20.0.1
python-dateutil==2.8.2
python-potr==1.0.2
python-utils==2.5.6
pytz==2021.3
pyxdg==0.27
PyYAML==5.4.1
requests==2.26.0
service-identity==21.1.0
shortuuid==1.0.1
six==1.16.0
treq==21.5.0
Twisted==21.2.0
typing-extensions==3.10.0.2
urllib3==1.26.7
urwid==2.1.2
wokkel==18.0.0
X3DH==0.5.9
XEdDSA==0.4.7
zope.interface==5.4.0

sat-tmp @ hg+https://repos.goffi.org/sat_tmp
urwid-satext @ hg+https://repos.goffi.org/urwid-satext
-e .[SVG]

=== debian/changelog ===
libervia-backend (0.8.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Martin <debacle@debian.org>  Mon, 14 Feb 2022 13:55:42 +0000

libervia-backend (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Project is renamed to "Libervia".

 -- Martin <debacle@debian.org>  Thu, 13 Jan 2022 16:41:40 +0000

salutatoi (0.8.0~hg3453.864485605d12-3) unstable; urgency=medium

  * Build depend on setuptools_scm and drop patch to stop requiring it.
  * Stop shipping Twisted license and README.

 -- Thomas Preud'homme <robotux@debian.org>  Sun, 31 Jan 2021 21:52:06 +0000

salutatoi (0.8.0~hg3453.864485605d12-2) unstable; urgency=medium

  * Source-only upload.

 -- Thomas Preud'homme <robotux@debian.org>  Sat, 23 Jan 2021 11:01:19 +0000

salutatoi (0.8.0~hg3453.864485605d12-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #971291):
    + Update sat_tmp
    + Rebase debian/patches
    + Replace python3-crypto by python3-pycryptodome
    + Remove patch for sat.sh which no longer exists
    + Update installation instructions to work with new sat launcher script and
      create symlink in /usr/bin
  * Make setuptools installation verbose by default and honor terse option in
    DEB_BUILD_OPTIONS.
  * Bump standard version to 4.5.1.
  * debian/rules:
    + Stop setting no longer used SAT_INSTALL
    + Simplify logic
  * Document intentionally not installed files.
  * Bump debhelper compat to 13.
  * debian/watch: Migrate to format v4 and switch to https.

 -- Thomas Preud'homme <robotux@debian.org>  Wed, 20 Jan 2021 23:21:13 +0000

salutatoi (0.8.0~hg3247.f981c0e99220-2) unstable; urgency=medium

  * Removed obsolete dependencies on pyfeed and xmlelements

 -- Martin <debacle@debian.org>  Sun, 05 Apr 2020 09:11:49 +0000

salutatoi (0.8.0~hg3247.f981c0e99220-1) unstable; urgency=medium

  * New upstream snaphost, move to Python 3 (Closes: #944425)

 -- Martin <debacle@debian.org>  Sat, 04 Apr 2020 23:46:37 +0000

salutatoi (0.7.0a4-1) unstable; urgency=medium

  * New upstream (alpha) release

 -- W. Martin Borgert <debacle@debian.org>  Fri, 01 Mar 2019 19:48:01 +0000

salutatoi (0.7.0a3-1) unstable; urgency=medium

  * New upstream (alpha) release

 -- W. Martin Borgert <debacle@debian.org>  Wed, 06 Feb 2019 11:14:00 +0000

salutatoi (0.7.0a1+hg20180914.f69c1b260e49-2) unstable; urgency=medium

  * Remove obsolete dependency on python-gobject-2 (Closes: #912954)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 05 Nov 2018 10:50:46 +0000

salutatoi (0.7.0a1+hg20180914.f69c1b260e49-1) unstable; urgency=medium

  * New upstream snapshot
  * Update patches (search mo files, set PYTHONPATH)
  * Remove obsolete patch (prevent symlink creation)
  * Add patch (no use of setuptools_scm)
  * Update sat-tmp to latest upstream 0.7.0a2
  * Update depends and recommends

 -- W. Martin Borgert <debacle@debian.org>  Wed, 26 Sep 2018 22:18:45 +0000

salutatoi (0.6.1.1+hg20180228-1) unstable; urgency=medium

  * New upstream snapshot.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 01 Mar 2018 17:22:30 +0000

salutatoi (0.6.1.1+hg20180208-1) unstable; urgency=medium

  * New upstream release.
  * Primitivus depends on new python-urwid-satext (Closes: #891148).
  * Move to XMPP team and salsa.debian.org, add myself to uploaders.
  * Bump standards and dh compat level.
  * Add sat_tmp wokkel patches until wokkel incorporates them.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 23 Feb 2018 08:25:31 +0000

salutatoi (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove generated files when cleaning.
  * debian/control:
    + update versioned dependency on python-urwid-satext
    + use encrypted URLs for Vcs-* fields
    + remove sat-xmpp-wix stanza
    + bump Standards-Version to 3.9.8 (no changes needed)
  * Remove debhelper files for wix package.
  * debian/source/lintian-overrides: add override for not checking GPG in
    debian/watch since upstream tarball do not have GPG signatures.
  * Remove line for removed file constants.py in debian/sat-xmpp-core.install.
  * debian/copyright: update given latest release.

 -- Thomas Preud'homme <robotux@debian.org>  Sun, 07 Aug 2016 16:30:21 +0100

salutatoi (0.5.1-2) unstable; urgency=medium

  * Reorder Recommends of sat-xmpp-core.
  * core: add missing dependency on python-gobject-2.
  * Fix Primitivus' dependency (python-gi instead of python-gobject-2).

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 24 Sep 2014 10:38:50 -0400

salutatoi (0.5.1-1) unstable; urgency=medium

  * New upstream release.
    + Dropped patches "Avoid setting a bad icon" and "Lower default setuptools
      version", applied upstream.
  * DEP-12: remove Homepage and Watch fields, which are not recommended.
  * Improve manual pages (sat.1 and primitivus.1).

 -- Matteo Cypriani <mcy@lm7.fr>  Sat, 20 Sep 2014 23:40:26 -0400

salutatoi (0.5.0-1) unstable; urgency=medium

  * New upstream release.
    + Update dependencies.
    + Remove lintian override (sat.tac doesn't exist any more).
    + Ship the Twisted plugin and the D-Bus service file.
    + Update patch to set PYTHONPATH in sat.sh.
    + Lower the default version of python-setuptools in ez_setup.py.
    + Prevent setup.py from creating symlinks.
    + Update manual pages.
  * debian/rules: fix typo in setup.py options (dh_auto_install).
  * Update for wxPython 3.0 (Closes: #759059).
    + Add patch (contributed by Olly Betts) allowing Wix to start by not
      setting a missing icon.
  * Ship additional documentation files (README and README4TRANSLATORS).

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 14 Sep 2014 22:33:34 -0400

salutatoi (0.4.1-2) unstable; urgency=medium

  * Update Jp's manual page (jp.1).
  * Install Jp's Zsh completion file.

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 12 Mar 2014 14:12:07 -0400

salutatoi (0.4.1-1) unstable; urgency=medium

  * New upstream release.

  [ Thomas Preud'homme ]
  * Delete patches integrated upstream.

  [ Matteo Cypriani ]


=== debian/control ===
Source: libervia-backend
Section: net
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Matteo Cypriani <mcy@lm7.fr>,
	Thomas Preud'homme <robotux@debian.org>,
	Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-python,
	markdown,
	python3,
	python3-lxml,
	python3-setuptools,
	python3-setuptools-scm,
	python3-shortuuid,
	python3-twisted,
	python3-wokkel,
	python3-xdg,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.salut-a-toi.org/
Vcs-Browser: https://salsa.debian.org/xmpp-team/libervia-backend
Vcs-Git: https://salsa.debian.org/xmpp-team/libervia-backend.git

Package: libervia-backend
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
	python3,
	python3-babel,
	python3-dateutil (>= 2.7.3~),
	python3-dbus,
	python3-idna,
	python3-lxml,
	python3-mutagen,
	python3-openssl,
	python3-pil,
	python3-potr,
	python3-pycryptodome,
	python3-service-identity,
	python3-shortuuid,
	python3-treq,
	python3-twisted,
	python3-wokkel,
	python3-xdg,
	python3-zope.interface
Recommends: dbus-x11,
	python3-html2text,
	python3-markdown,
	python3-miniupnpc,
	python3-netifaces,
	python3-omemo-backend-signal,
	libervia-cli | libervia-tui
Replaces: sat-xmpp-core (<< 0.8.0-1~)
Breaks: sat-xmpp-core (<< 0.8.0-1~)
Description: Libervia XMPP-based communication and sharing tool (core)
 Libervia is a multi-frontends, multi-purposes communication tool,
 based on the XMPP standard. It features:
  * instant messaging
  * microblogging
  * file sharing
  * games
  * group permissions (share what you want with the people you choose)
  * interaction with other networks (IRC, StatusNet, other XMPP networks)
  * email client access (use your favorite mail user agent (MUA) to communicate
    on the supported networks)
  * extensible design
 .
 This package contains Libervia's backend code. You should install it along with
 one of the frontends: libervia-cli (command line interface) or libervia-tui
 (curse-based interactive console interface).

Package: libervia-tui
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
	python3,
        libervia-backend (= ${source:Version}),
	python3-urwid,
        python3-urwid-satext (>= 0.8.0~),
        python3-dbus,
	python3-gi
Recommends: python3-xlib
Replaces: sat-xmpp-primitivus (<< 0.8.0-1~)
Breaks: sat-xmpp-primitivus (<< 0.8.0-1~)
Description: Libervia XMPP-based communication and sharing tool (console interface)
 Libervia is a multi-frontends, multi-purposes communication tool,
 based on the XMPP standard. It features:
  * instant messaging
  * microblogging
  * file sharing
  * games
  * group permissions (share what you want with the people you choose)
  * interaction with other networks (IRC, StatusNet, other XMPP networks)
  * email client access (use your favorite mail user agent (MUA) to communicate
    on the supported networks)
  * extensible design
 .
 This package contains libervia-tui, Libervia's interactive console interface
 (curse-based).

Package: libervia-cli
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
	python3,
        libervia-backend (= ${source:Version}),
	python3-gi,
Recommends: python3-progressbar,
	python3-pygments,
	libervia-templates,
Replaces: sat-xmpp-jp (<< 0.8.0-1~)
Breaks: sat-xmpp-jp (<< 0.8.0-1~)
Description: Libervia XMPP-based communication and sharing tool (command-line interface)
 Libervia is a multi-frontends, multi-purposes communication tool,
 based on the XMPP standard. It features:
  * instant messaging
  * microblogging
  * file sharing
  * games
  * group permissions (share what you want with the people you choose)
  * interaction with other networks (IRC, StatusNet, other XMPP networks)
  * email client access (use your favorite mail user agent (MUA) to communicate
    on the supported networks)
  * extensible design
 .
 This package contains libervia-cli, Libervia's command-line interface.

Package: sat-xmpp-core
Depends: libervia-backend,
         ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: sat-xmpp-primitivus
Depends: libervia-tui,
         ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: sat-xmpp-jp
Depends: libervia-cli,
         ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

bridgeCstrDir:=sat/bridge/bridge_constructor
export PYTHONPATH=$(CURDIR)/sat_tmp:$(CURDIR)
export XDG_DATA_HOME=$(CURDIR)/.local/share

# Install scripts in different directory than libs because entrypoint
# sat collides with directory sat.
PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/libervia/ --install-scripts=/launchers/
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
  PYBUILD_INSTALL_ARGS+=--verbose
endif
export PYBUILD_INSTALL_ARGS

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_build:
	cd $(bridgeCstrDir) && \
		ln -s ../../../sat . && \
		./bridge_constructor.py --force && \
		cp generated/dbus_bridge.py .. && \
		./bridge_constructor.py -s frontend --force && \
		cp generated/dbus_bridge.py ../../../sat_frontends/bridge/
	rm -f $(bridgeCstrDir)/sat

execute_after_dh_auto_install:
	find sat_tmp \( -name LICENSE -o -name README \) -delete
	cp -rap sat_tmp/sat_tmp/ $(CURDIR)/debian/tmp/usr/share/libervia/
	mv $(CURDIR)/debian/tmp/usr/share/libervia/sat/core/launcher.py \
		$(CURDIR)/debian/tmp/usr/share/libervia
	find debian -name __pycache__ -type d | xargs rm -rf
	rm -rf $(CURDIR)/debian/tmp/usr/share/libervia/sat/test/
	rm -rf $(CURDIR)/debian/tmp/usr/share/libervia/sat_tmp/wokkel/test/

execute_after_dh_fixperms:
	chmod +x $(CURDIR)/debian/libervia-backend/usr/share/libervia/launcher.py

# temporarily ignore tests (completely broken according to upstream)
override_dh_auto_test:
	dh_auto_test || true

## libervia-backend 0.9.0~hg3993

=== requirements.txt ===
aiosqlite==0.17.0
alembic==1.7.7
attrs==21.4.0
Automat==20.2.0
Babel==2.10.1
cairocffi==1.3.0
CairoSVG==2.5.2
certifi==2021.10.8
cffi==1.15.0
charset-normalizer==2.0.12
constantly==15.1.0
cryptography==3.4.8
cssselect2==0.6.0
dbus-python==1.2.18
defusedxml==0.7.1
DoubleRatchet @ git+https://github.com/Syndace/python-doubleratchet.git@stable
greenlet==1.1.2
html2text==2020.1.16
hyperlink==21.0.0
idna==3.3
incremental==21.3.0
Jinja2==3.0.3
langid==1.1.6
lxml==4.8.0
Mako==1.2.0
Markdown==3.3.7
MarkupSafe==2.1.1
miniupnpc==2.0.2
mutagen==1.45.1
netifaces==0.11.0
numpy==1.22.3
Oldmemo @ git+https://github.com/Syndace/python-oldmemo.git
OMEMO @ git+https://github.com/Syndace/python-omemo.git@stable
packaging==21.3
Pillow==9.1.0
progressbar2==3.53.3
protobuf==3.20.1
pyasn1==0.4.8
pyasn1-modules==0.2.8
pycairo==1.21.0
pycparser==2.21
pycrypto==2.6.1
Pygments==2.12.0
PyGObject==3.40.0
PyNaCl==1.5.0
pyOpenSSL==20.0.1
pyparsing==3.0.9
python-dateutil==2.8.2
python-potr==1.0.2
python-utils==3.2.2
pytz==2022.1
pyxdg==0.27
PyYAML==5.4.1
requests==2.27.1
service-identity==21.1.0
setuptools-scm==6.4.2
shortuuid==1.0.9
six==1.16.0
SQLAlchemy==1.4.36
tinycss2==1.1.1
tomli==2.0.1
treq==21.5.0
Twisted==21.2.0
Twomemo @ git+https://github.com/Syndace/python-twomemo.git
txdbus==1.1.2
typing_extensions==4.3.0
urllib3==1.26.9
urwid==2.1.2
webencodings==0.5.1
wokkel==18.0.0
X3DH @ git+https://github.com/Syndace/python-x3dh.git@stable
XEdDSA @ git+https://github.com/Syndace/python-xeddsa.git@stable
xmlschema==2.0.4
zope.interface==5.4.0

sat-tmp @ hg+https://repos.goffi.org/sat_tmp
urwid-satext @ hg+https://repos.goffi.org/urwid-satext
-e .[SVG]

=== debian/changelog ===
libervia-backend (0.9.0~hg3993-4+deb12u1) bookworm; urgency=medium

  * Fix dependencies on python3-txdbus/python3-dbus (Closes: #1055446)
  * Add patch to make exec path absolute in dbus service file (Closes: #1055445)
  * Fix start failure without pre-existing configuration (Closes: #1056163)

 -- Martin <debacle@debian.org>  Fri, 17 Nov 2023 23:29:54 +0000

libervia-backend (0.9.0~hg3993-4) unstable; urgency=medium

  * add patch to not use SCM version (Closes: #1030429)
  * do not run tests, completely broken according to upstream
  * add patch to replace getargspec with getfullargspec for Python 3.11

 -- Martin <debacle@debian.org>  Tue, 07 Feb 2023 08:34:29 +0000

libervia-backend (0.9.0~hg3993-3) unstable; urgency=medium

  * Re-upload to unstable.

 -- Martin <debacle@debian.org>  Mon, 16 Jan 2023 23:51:40 +0000

libervia-backend (0.9.0~hg3993-2) experimental; urgency=medium

  * Update sat_tmp patch.

 -- Martin <debacle@debian.org>  Sun, 15 Jan 2023 21:04:01 +0000

libervia-backend (0.9.0~hg3993-1) experimental; urgency=medium

  * Upstream snapshot.

 -- Martin <debacle@debian.org>  Sat, 10 Dec 2022 23:58:18 +0000

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 	python3,
 	python3-lxml,
 	python3-setuptools,
-	python3-setuptools-scm,
 	python3-shortuuid,
 	python3-twisted,
+	python3-typing-extensions,
 	python3-wokkel,
 	python3-xdg,
 Standards-Version: 4.5.1
@@ -27,9 +27,11 @@
 Depends: ${misc:Depends},
 	${python3:Depends},
 	python3,
+	python3-aiosqlite,
+	python3-alembic,
 	python3-babel,
 	python3-dateutil (>= 2.7.3~),
-	python3-dbus,
+	python3-txdbus,
 	python3-idna,
 	python3-lxml,
 	python3-mutagen,
@@ -39,20 +41,26 @@
 	python3-pycryptodome,
 	python3-service-identity,
 	python3-shortuuid,
+	python3-sqlalchemy,
 	python3-treq,
 	python3-twisted,
 	python3-wokkel,
 	python3-xdg,
+	python3-xmlschema,
 	python3-zope.interface
 Recommends: dbus-x11,
+	python3-cairosvg,
 	python3-html2text,
 	python3-markdown,
 	python3-miniupnpc,
 	python3-netifaces,
-	python3-omemo-backend-signal,
+	python3-oldmemo,
+	python3-omemo,
+	python3-twomemo,
 	libervia-cli | libervia-tui
 Replaces: sat-xmpp-core (<< 0.8.0-1~)
-Breaks: sat-xmpp-core (<< 0.8.0-1~)
+Breaks: sat-xmpp-core (<< 0.8.0-1~),
+	python3-omemo (<< 1~),
 Description: Libervia XMPP-based communication and sharing tool (core)
  Libervia is a multi-frontends, multi-purposes communication tool,
  based on the XMPP standard. It features:
@@ -105,6 +113,7 @@
 	${python3:Depends},
 	python3,
         libervia-backend (= ${source:Version}),
+	python3-dbus,
 	python3-gi,
 Recommends: python3-progressbar,
 	python3-pygments,

=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,5 @@
 execute_after_dh_fixperms:
 	chmod +x $(CURDIR)/debian/libervia-backend/usr/share/libervia/launcher.py
 
-# temporarily ignore tests (completely broken according to upstream)
 override_dh_auto_test:
-	dh_auto_test || true
+	@echo "do not run tests, completely broken according to upstream"

=== debian/watch ===
version=4
https://ftp.goffi.org/libervia-backend/ \
  libervia-backend(?:-|\.|_|_v|)(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
  debian uupdate

## libervia-backend 0.9.0~hg4201

=== debian/changelog ===
libervia-backend (0.9.0~hg4201-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Sun, 17 Dec 2023 13:31:40 +0000

libervia-backend (0.9.0~hg4191-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Tue, 12 Dec 2023 09:00:50 +0000

libervia-backend (0.9.0~hg4178-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Thu, 07 Dec 2023 10:02:59 +0000

libervia-backend (0.9.0~hg4170-1) unstable; urgency=medium

  * New upstream snapshot
  * Add 'li' command as alias for libervia-cli

 -- Martin <debacle@debian.org>  Fri, 01 Dec 2023 22:35:43 +0000

libervia-backend (0.9.0~hg4158-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Thu, 23 Nov 2023 09:58:29 +0000

libervia-backend (0.9.0~hg4144-4) unstable; urgency=medium

  * Add patch to make exec path absolute in dbus service file (Closes: #1055445)

 -- Martin <debacle@debian.org>  Sat, 18 Nov 2023 01:20:54 +0000

libervia-backend (0.9.0~hg4144-3) unstable; urgency=medium

  * Fix dependencies on python3-txdbus/python3-dbus (Closes: #1055446)

 -- Martin <debacle@debian.org>  Mon, 06 Nov 2023 23:47:24 +0000

libervia-backend (0.9.0~hg4144-2) unstable; urgency=medium

  * Add documentation package
  * Drop transitional packages

 -- Martin <debacle@debian.org>  Sun, 05 Nov 2023 02:13:31 +0000

libervia-backend (0.9.0~hg4144-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Wed, 01 Nov 2023 21:30:38 +0000

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,23 @@
 Build-Depends: debhelper-compat (= 13),
 	dh-python,
 	markdown,
+	pybuild-plugin-pyproject,
 	python3,
+	python3-rich,
+	python3-hatchling,
 	python3-lxml,
+	python3-prompt-toolkit,
 	python3-setuptools,
 	python3-shortuuid,
+	python3-sphinx,
 	python3-twisted,
 	python3-typing-extensions,
+	python3-urwid-satext,
 	python3-wokkel,
 	python3-xdg,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://www.salut-a-toi.org/
+Homepage: https://libervia.org/
 Vcs-Browser: https://salsa.debian.org/xmpp-team/libervia-backend
 Vcs-Git: https://salsa.debian.org/xmpp-team/libervia-backend.git
 
@@ -26,12 +32,14 @@
 Architecture: all
 Depends: ${misc:Depends},
 	${python3:Depends},
+	gir1.2-gst-plugins-bad-1.0,
 	python3,
 	python3-aiosqlite,
 	python3-alembic,
 	python3-babel,
 	python3-dateutil (>= 2.7.3~),
-	python3-txdbus,
+	python3-emoji,
+	python3-gst-1.0,
 	python3-idna,
 	python3-lxml,
 	python3-mutagen,
@@ -39,11 +47,13 @@
 	python3-pil,
 	python3-potr,
 	python3-pycryptodome,
+	python3-pydantic,
 	python3-service-identity,
 	python3-shortuuid,
 	python3-sqlalchemy,
 	python3-treq,
 	python3-twisted,
+	python3-txdbus,
 	python3-wokkel,
 	python3-xdg,
 	python3-xmlschema,
@@ -135,29 +145,22 @@
  .
  This package contains libervia-cli, Libervia's command-line interface.
 
-Package: sat-xmpp-core
-Depends: libervia-backend,
-         ${misc:Depends}
+Package: libervia-doc
 Architecture: all
-Priority: optional
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
-Package: sat-xmpp-primitivus
-Depends: libervia-tui,
-         ${misc:Depends}
-Architecture: all
-Priority: optional
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
-Package: sat-xmpp-jp
-Depends: libervia-cli,
-         ${misc:Depends}
-Architecture: all
-Priority: optional
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
+Depends: ${misc:Depends},
+	${sphinxdoc:Depends},
+Multi-Arch: foreign
+Description: Libervia XMPP-based communication and sharing tool (documentation)
+ Libervia is a multi-frontends, multi-purposes communication tool,
+ based on the XMPP standard. It features:
+  * instant messaging
+  * microblogging
+  * file sharing
+  * games
+  * group permissions (share what you want with the people you choose)
+  * interaction with other networks (IRC, StatusNet, other XMPP networks)
+  * email client access (use your favorite mail user agent (MUA) to communicate
+    on the supported networks)
+  * extensible design
+ .
+ This package contains Libervia's documentation.

## libervia-backend 0.9.0~hg4208

=== debian/changelog ===
libervia-backend (0.9.0~hg4208-1) unstable; urgency=medium

  * New upstream snapshot, now with `call` commands
    python3-pyqt6 is needed for the call GUI

 -- Martin <debacle@debian.org>  Tue, 13 Feb 2024 23:24:36 +0000

=== debian/control ===
--- 
+++ 
@@ -128,6 +128,7 @@
 Recommends: python3-progressbar,
 	python3-pygments,
 	libervia-templates,
+	python3-pyqt6,
 Replaces: sat-xmpp-jp (<< 0.8.0-1~)
 Breaks: sat-xmpp-jp (<< 0.8.0-1~)
 Description: Libervia XMPP-based communication and sharing tool (command-line interface)

## libervia-backend 0.9.0~hg4211

=== debian/changelog ===
libervia-backend (0.9.0~hg4211-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Mon, 19 Feb 2024 02:33:23 +0000

=== debian/control ===
--- 
+++ 
@@ -66,6 +66,7 @@
 	python3-netifaces,
 	python3-oldmemo,
 	python3-omemo,
+	python3-term-image,
 	python3-twomemo,
 	libervia-cli | libervia-tui
 Replaces: sat-xmpp-core (<< 0.8.0-1~)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

bridgeCstrDir:=libervia/backend/bridge/bridge_constructor
export PYTHONPATH=$(CURDIR)/sat_tmp:$(CURDIR)
export XDG_DATA_HOME=$(CURDIR)/.local/share

# Install scripts in different directory than libs because entrypoint
# sat collides with directory sat.
PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/libervia/ --install-scripts=/launchers/
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
  PYBUILD_INSTALL_ARGS+=--verbose
endif
export PYBUILD_INSTALL_ARGS

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_build:
	cd $(bridgeCstrDir) && \
	    ln -s ../../../../libervia/ .  && \
	    ./bridge_constructor.py --side core --force && \
	        mv generated/dbus_bridge.py .. && \
	    ./bridge_constructor.py --protocole pb --side core --force && \
	        mv generated/pb.py .. && \
	    ./bridge_constructor.py --side frontend --force && \
	        mv generated/dbus_bridge.py ../../../frontends/bridge && \
	    ./bridge_constructor.py --protocole pb --side frontend --force && \
	        mv generated/pb.py ../../../frontends/bridge
	rm -f $(bridgeCstrDir)/libervia

execute_after_dh_auto_build:
	$(MAKE) -C doc html

execute_after_dh_auto_install:
	find sat_tmp \( -name LICENSE -o -name README \) -delete
	cp -rap $(CURDIR)/sat_tmp/ $(CURDIR)/debian/tmp/usr/share/libervia/
	mv $(CURDIR)/debian/tmp/usr/lib/python3.*/dist-packages/libervia/backend/core/launcher.py \
	    $(CURDIR)/debian/tmp/usr/share/libervia/
	find debian -name __pycache__ -type d | xargs rm -rf
	rm -r $(CURDIR)/debian/tmp/usr/lib/python3.*/dist-packages/libervia/backend/test/
	rm -r $(CURDIR)/debian/tmp/usr/share/libervia/sat_tmp/wokkel/test/

execute_after_dh_fixperms:
	chmod +x $(CURDIR)/debian/libervia-backend/usr/share/libervia/launcher.py

override_dh_auto_test:
	@echo "do not run tests, completely broken according to upstream"

## libervia-backend 0.9.0~hg4260

=== debian/changelog ===
libervia-backend (0.9.0~hg4260-2) unstable; urgency=medium

  * Remove build-dep on markdown

 -- Martin <debacle@debian.org>  Mon, 10 Jun 2024 21:59:07 +0000

libervia-backend (0.9.0~hg4260-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Wed, 05 Jun 2024 22:11:10 +0000

libervia-backend (0.9.0~hg4246-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Fri, 17 May 2024 06:44:30 +0000

libervia-backend (0.9.0~hg4244-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Sat, 11 May 2024 15:01:20 +0000

libervia-backend (0.9.0~hg4237-1) unstable; urgency=medium

  * New upstream snapshot: implement SCRAM-SHA auth algorithm

 -- Martin <debacle@debian.org>  Mon, 08 Apr 2024 22:43:18 +0000

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 	Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	dh-python,
-	markdown,
 	pybuild-plugin-pyproject,
 	python3,
 	python3-rich,
 	python3-hatchling,
 	python3-lxml,
+	python3-lxml-html-clean,
 	python3-prompt-toolkit,
 	python3-setuptools,
 	python3-shortuuid,

## libervia-backend 0.9.0~hg4294

=== debian/changelog ===
libervia-backend (0.9.0~hg4294-1ubuntu1) oracular; urgency=medium

  * debian/control: add gstreamer1.0-plugins-bad and gstreamer1.0-nice as
    runtime dependencies. libervia-backend uses elements provided by
    gstreamer1.0-plugins-bad. Some of these elements need gstreamer1.0-nice
    to work (LP: #2077974).

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 29 Aug 2024 11:21:58 +0100

libervia-backend (0.9.0~hg4294-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Fri, 09 Aug 2024 20:49:00 +0000

libervia-backend (0.9.0~hg4285-2) unstable; urgency=medium

  * Disable currently broken unit tests

 -- Martin <debacle@debian.org>  Tue, 16 Jul 2024 23:07:06 +0000

libervia-backend (0.9.0~hg4285-1) unstable; urgency=medium

  * New upstream snapshot, with fixed unittests

 -- Martin <debacle@debian.org>  Sun, 14 Jul 2024 20:09:31 +0000

libervia-backend (0.9.0~hg4280-1) unstable; urgency=medium

  * New upstream snapshot
  * Re-enable unittests, but two (currently broken)

 -- Martin <debacle@debian.org>  Sat, 13 Jul 2024 23:05:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libervia-backend
 Section: net
 Priority: optional
-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Matteo Cypriani <mcy@lm7.fr>,
 	Thomas Preud'homme <robotux@debian.org>,
 	Martin <debacle@debian.org>
@@ -9,30 +10,41 @@
 	dh-python,
 	pybuild-plugin-pyproject,
 	python3,
-	python3-rich,
+	python3-alembic,
+	python3-autobahn,
 	python3-hatchling,
 	python3-lxml,
 	python3-lxml-html-clean,
+	python3-pil,
 	python3-prompt-toolkit,
+	python3-pydantic,
+	python3-pytest,
+	python3-pytest-twisted,
+	python3-rich,
 	python3-setuptools,
 	python3-shortuuid,
 	python3-sphinx,
+	python3-treq,
 	python3-twisted,
 	python3-typing-extensions,
 	python3-urwid-satext,
 	python3-wokkel,
 	python3-xdg,
+	python3-xmlschema,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://libervia.org/
 Vcs-Browser: https://salsa.debian.org/xmpp-team/libervia-backend
 Vcs-Git: https://salsa.debian.org/xmpp-team/libervia-backend.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: libervia-backend
 Architecture: all
 Depends: ${misc:Depends},
 	${python3:Depends},
 	gir1.2-gst-plugins-bad-1.0,
+	gstreamer1.0-plugins-bad,
+	gstreamer1.0-nice,
 	python3,
 	python3-aiosqlite,
 	python3-alembic,
@@ -57,8 +69,10 @@
 	python3-wokkel,
 	python3-xdg,
 	python3-xmlschema,
-	python3-zope.interface
+	python3-zope.interface,
 Recommends: dbus-x11,
+	libervia-cli | libervia-tui,
+	python3-autobahn,
 	python3-cairosvg,
 	python3-html2text,
 	python3-markdown,
@@ -68,7 +82,6 @@
 	python3-omemo,
 	python3-term-image,
 	python3-twomemo,
-	libervia-cli | libervia-tui
 Replaces: sat-xmpp-core (<< 0.8.0-1~)
 Breaks: sat-xmpp-core (<< 0.8.0-1~),
 	python3-omemo (<< 1~),

## libervia-backend 0.9.0~hg4319

=== debian/changelog ===
libervia-backend (0.9.0~hg4319-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Sun, 29 Sep 2024 21:44:17 +0000

libervia-backend (0.9.0~hg4304-1) unstable; urgency=medium

  * New upstream snapshot

  [ Danilo Egea Gondolfo <danilogondolfo@gmail.com> ]
  * Add gstreamer1.0-plugins-bad and gstreamer1.0-nice as runtime
    dependencies (Closes: #1079085)

 -- Martin <debacle@debian.org>  Mon, 16 Sep 2024 20:14:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libervia-backend
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Matteo Cypriani <mcy@lm7.fr>,
 	Thomas Preud'homme <robotux@debian.org>,
 	Martin <debacle@debian.org>

## libervia-backend 0.9.0~hg4332

=== debian/changelog ===
libervia-backend (0.9.0~hg4332-1) unstable; urgency=medium

  * New upstream snapshot
    - Includes fix for Python 3.13 (Closes: #1084593)

 -- Martin <debacle@debian.org>  Thu, 21 Nov 2024 22:45:26 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	python3,
 	python3-alembic,
 	python3-autobahn,
+	python3-cbor2,
 	python3-hatchling,
 	python3-lxml,
 	python3-lxml-html-clean,
@@ -73,6 +74,7 @@
 	libervia-cli | libervia-tui,
 	python3-autobahn,
 	python3-cairosvg,
+	python3-cbor2,
 	python3-html2text,
 	python3-markdown,
 	python3-miniupnpc,

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
   PYBUILD_INSTALL_ARGS+=--verbose
 endif
 export PYBUILD_INSTALL_ARGS
+export PYBUILD_TEST_PYTEST=1
+export PYBUILD_TEST_ARGS=tests/unit/
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -44,6 +46,3 @@
 
 execute_after_dh_fixperms:
 	chmod +x $(CURDIR)/debian/libervia-backend/usr/share/libervia/launcher.py
-
-override_dh_auto_test:
-	@echo "do not run tests, completely broken according to upstream"

## libervia-backend 0.9.0~hg4352

=== debian/changelog ===
libervia-backend (0.9.0~hg4352-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Sun, 09 Mar 2025 20:18:33 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	python3-alembic,
 	python3-autobahn,
 	python3-cbor2,
+	python3-gpg,
 	python3-hatchling,
 	python3-lxml,
 	python3-lxml-html-clean,
@@ -30,7 +31,7 @@
 	python3-urwid-satext,
 	python3-wokkel,
 	python3-xdg,
-	python3-xmlschema,
+	python3-xmlschema (>= 3.4.3~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://libervia.org/
@@ -68,7 +69,7 @@
 	python3-txdbus,
 	python3-wokkel,
 	python3-xdg,
-	python3-xmlschema,
+	python3-xmlschema (>= 3.4.3~),
 	python3-zope.interface,
 Recommends: dbus-x11,
 	libervia-cli | libervia-tui,

## libervia-backend 0.9.0~hg4452

=== debian/changelog ===
libervia-backend (0.9.0~hg4452-1) unstable; urgency=medium

  * New upstream snapshot
  * Move package to Python team
  * Drop R³: no, default now
  * Drop obsolete patch

 -- Martin <debacle@debian.org>  Wed, 03 Dec 2025 21:17:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libervia-backend
 Section: net
 Priority: optional
-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Matteo Cypriani <mcy@lm7.fr>,
 	Thomas Preud'homme <robotux@debian.org>,
 	Martin <debacle@debian.org>
@@ -9,16 +9,20 @@
 	dh-python,
 	pybuild-plugin-pyproject,
 	python3,
+	python3-aiosmtpd,
 	python3-alembic,
 	python3-autobahn,
 	python3-cbor2,
 	python3-gpg,
 	python3-hatchling,
+	python3-ipdb,
 	python3-lxml,
 	python3-lxml-html-clean,
 	python3-pil,
 	python3-prompt-toolkit,
+	python3-pudb,
 	python3-pydantic,
+	python3-pydantic-settings,
 	python3-pytest,
 	python3-pytest-twisted,
 	python3-rich,
@@ -33,10 +37,9 @@
 	python3-xdg,
 	python3-xmlschema (>= 3.4.3~),
 Standards-Version: 4.5.1
-Rules-Requires-Root: no
 Homepage: https://libervia.org/
-Vcs-Browser: https://salsa.debian.org/xmpp-team/libervia-backend
-Vcs-Git: https://salsa.debian.org/xmpp-team/libervia-backend.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/libervia-backend
+Vcs-Git: https://salsa.debian.org/python-team/packages/libervia-backend.git
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: libervia-backend
